2009-04-06 23:38:16
9/23/2003 9:21pm W3_magicka_Shrines.esp - Morrowind compatible, Tribunal and Bloodmoon not required, but seems to work with them just fine. Bugs: None Known Current Version; 1.0 (Future versions, if any, will be "W3_Magicka_Shrines_1...